/*
	The Keep Javascript Extension Module
	Wraps The Keep's access to the web browser's "external" object
	in javascript objects for more portable use.
	
	GetEnv() returns the following properties:	
		backgroundColor
		appFontName
		editorFontName
		editorFontSize
		spellCheckLanguage
		databaseName
		appVersion
	
*/

var keepcm = (function() {
	return {
		getEnv: function() {
			var s = window.external.GetEnv();
			this.env = JSON.parse(s);
		},
		env: {}
	}
}());
keepcm.getEnv();
	
var keepdb = (function () {
   return {
      getItem: function (k) {
         var v = window.external.GetItem(k);
         if (v.length > 0) {
            return JSON.parse(v);
         } else
            return v;
      },
      setItem: function (k, v) {
         window.external.SetItem(k, JSON.stringify(v));
      },
      clear: function () {
         window.external.Clear();
      },
      keys: function() {
      	var a = window.external.Keys();
      	return JSON.parse( a);
      }
   }
}());

